
<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
require 'vendor/autoload.php';

session_start();
include('database.php');

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['action'])) {
    // parse_str($_POST['data'], $formData);

    // Process the form data
    // Example: Save to database (replace with actual database logic)
    switch($_POST['action']) {
        case 'save_address':
            parse_str($_POST['data'], $formData);
            $sql = "UPDATE users SET country=?, address1=?, address2=?, zip_code=? WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssssi', $formData['country'], $formData['address1'], $formData['address2'], $formData['zip'], $_SESSION['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            else echo "Updated {$stmt->affected_rows} rows";
            break;
        case 'save_customer':
            parse_str($_POST['data'], $formData);
            $sql = "UPDATE users SET 
            country=?, 
            address1=?, 
            address2=?, 
            zip_code=?,
            first_name=?,
            last_name=?,
            email=?,
            phone=?,
            id_verification_status=?,
            bank_verification_status=?,
            btc_balance=?,
            eth_balance=?,
            trx_balance=?,
            usdt_balance=?
            WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssssssssssddddi', $formData['country'], $formData['address1'], $formData['address2'], $formData['zip'], $formData['first_name'], $formData['last_name'], $formData['email'], $formData['phone'], $formData['id_verification_status'], $formData['bank_verification_status'], $formData['btc_balance'], $formData['eth_balance'], $formData['trx_balance'], $formData['usdt_balance'], $formData['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            break;
        case 'save_customer_balance':
            parse_str($_POST['data'], $formData);
            $sql = "UPDATE users SET 
            btc_balance=?,
            eth_balance=?,
            trx_balance=?,
            usdt_balance=?
            WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ddddi', $formData['btc_balance'], $formData['eth_balance'], $formData['trx_balance'], $formData['usdt_balance'], $formData['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            break;
        case 'send_reset_password_link':
            // parse_str($_POST['data'], $formData);
            $data = $_POST['data'];
            var_dump('ja_formdata', $data['email']);

            $token = bin2hex(random_bytes(32));
            $stmt = $conn->prepare("UPDATE users SET reset_token = ? WHERE email = ?");
            $stmt->bind_param("ss", $token, $data['email']);
            $stmt->execute();
            
            $resetLink = $base_url . "reset_password.php?token=$token";
            var_dump('ja_resestoink', $resetLink);

            $mail = new PHPMailer(true);
            $mail->isSMTP();
            $mail->SMTPDebug = 2;
            $mail->Debugoutput = 'html';
            $mail->Host = 'mail.helpdeskmail.com';
            $mail->SMTPAuth = true;
            $mail->Username = 'dev@helpdeskmail.com';
            $mail->Password = ',Cw81KA07o%('; // Use App Password, NOT your actual Gmail password
            $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
            $mail->Port = 465;


            $mail->setFrom('dev@helpdeskmail.com', 'Brett Monaghan');
            $mail->addAddress($data['email']);

            $mail->Subject = 'Password Reset Request';
            $mail->Body = "Click the link to reset your password: $resetLink";

            $mail->send();
            break;
        case 'save_customer_delete':
            parse_str($_POST['data'], $formData);
            $sql = "DELETE FROM users WHERE id=$formData[user_id]";
            if ($conn->query($sql) === TRUE) {
                echo "Record deleted successfully";
            } else {
                echo "Error deleting record: " . $conn->error;
            }
            break;
        case 'save_customer_address':
            parse_str($_POST['data'], $formData);
            var_dump('ja_formdata', $formData);
            $sql = "UPDATE users SET 
            country=?, 
            address1=?, 
            address2=?, 
            zip_code=? 
            WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssssi', $formData['country'], $formData['address1'], $formData['address2'], $formData['zip'], $formData['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            break;
        case 'save_customer_account_settings':
            parse_str($_POST['data'], $formData);
            $sql = "UPDATE users SET
            first_name=?,
            last_name=?,
            email=?,
            phone=?,
            id_verification_status=?,
            bank_verification_status=?
            WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssssssi', $formData['first_name'], $formData['last_name'], $formData['email'], $formData['phone'], $formData['id_verification_status'], $formData['bank_verification_status'], $formData['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            break;
        case 'add_transaction':
            parse_str($_POST['data'], $formData);
            $stmt = $conn->prepare("SELECT * FROM users WHERE id = ?");
            $stmt->bind_param("s", $formData['customer_id']);
            $stmt->execute();
            $result = $stmt->get_result();
            $customer = $result->fetch_assoc();
            $current_balance = $customer[strtolower($formData['asset']) . '_balance'];

            if($formData['transaction_type'] === 'Withdrawal') {
                $new_balance = $current_balance - $formData['amount'];
            } else {
                $new_balance = $current_balance + $formData['amount'];
            }
            if($new_balance < 0) {
                echo json_encode(['status' => 'error', 'message' => 'Amount should be less than '. $current_balance]);
                exit;
            }
            else {
                $sql = "INSERT INTO transactions (user_id, asset, transaction_type, amount, status, rejection_reason ) VALUES (?, ?, ?, ?, ?, ?)";
                $stmt = $conn->prepare($sql);
                $stmt->bind_param('issdss', $formData['customer_id'], $formData['asset'], $formData['transaction_type'], $formData['amount'], $formData['status'], $formData['rejection_reason']);
                $stmt->execute();
            }
            break;
        case 'change_transaction_status':
            parse_str($_POST['data'], $formData);
            $rejecton_reason = $formData['status'] === 'Rejected' ? $formData['rejection_reason'] : NULL;
            $sql = "UPDATE transactions SET status=?, rejection_reason=? WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssi', $formData['status'], $rejecton_reason, $formData['transaction_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            else echo "Updated {$stmt->affected_rows} rows";
            break;
        case 'save_address':
            parse_str($_POST['data'], $formData);
            $sql = "UPDATE users SET country=?, address1=?, address2=?, zip_code=? WHERE id=?";
            $stmt = $conn->prepare($sql);
            $stmt->bind_param('ssssi', $formData['country'], $formData['address1'], $formData['address2'], $formData['zip'], $_SESSION['user_id']);
            $stmt->execute();
            if ($stmt->error) {
                echo "FAILURE!!! " . $stmt->error;
            }
            else echo "Updated {$stmt->affected_rows} rows";
            break;
        case 'save_customer_password':
            parse_str($_POST['data'], $formData);
            var_dump('ja_formdata_password', $formData);

            $hashed_password = password_hash($formData['new_password'], PASSWORD_DEFAULT);

            // Update the password in the database
            $update_stmt = $conn->prepare("UPDATE users SET password = ? WHERE id = ?");
            $update_stmt->bind_param("si", $hashed_password, $formData['user_id']);
            $update_stmt->execute();

            if ($update_stmt->affected_rows > 0) {
                $_SESSION['message'] = "Password updated successfully!";
                $_SESSION['message_type'] = "success";
            } else {
                $_SESSION['message'] = "Failed to update the password.";
                $_SESSION['message_type'] = "error";
            }
            $update_stmt->close();
            break;
        default:
            echo json_encode(['status' => 'error', 'message' => 'Invalid action']);
    }
    echo json_encode(['status' => 'success', 'message' => 'Form was submitted']);
} else {
    echo json_encode(['status' => 'error', 'message' => 'Invalid request']);
}
?>
