<?php
session_start();

include('database.php');

if (!isset($_SESSION['user_id'])) {
    // If the user is not logged in, redirect to login page
    header("Location: login.php");
    exit();
}

$user_id = $_SESSION['user_id'];

$stmt = $conn->prepare("SELECT * FROM users WHERE id = ?");
$stmt->bind_param("i", $user_id); 
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();
    $first_name = $user['first_name'];
    $last_name = $user['last_name'];
    $email = $user['email'];
    $phone = $user['phone'];
    $account_type = $user['account_type'];
    $country = $user['country'];
    $address1 = $user['address1'];
    $address2 = $user['address2'];
    $zip_code = $user['zip_code'];
    $id_verification_status = $user['id_verification_status'];
    $bank_verification_status = $user['bank_verification_status'];
    $created_at = $user['created_at'];
} else {
    header("Location: login.php");
    exit();
}

$stmt->close();
$conn->close();
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- required meta -->
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <!-- #keywords -->
  <meta name="keywords" content="boot, Bootstrap, Forex and Stock Broker HTML Template" />
  <!-- #description -->
  <meta name="description" content="Forex and Stock Broker HTML Template" />
  <!-- #title -->
  <title>FinVista - Web3 and Finance Dashboard Template</title>
  <!-- #favicon -->
  <link rel="shortcut icon" href="assets/images/fav.png" type="image/x-icon" />
  <!-- ==== css dependencies start ==== -->
  <link href="https://cdn.quilljs.com/1.3.6/quill.snow.css" rel="stylesheet" />
  <link rel="stylesheet" href="assets/css/style.min.css" />
</head>

<body>
  <!--  Preloader  -->
  <div class="preloader">
    <span class="loader"></span>
  </div>
  <!-- end preloader -->

  <!-- Scroll To Top Start-->
  <button class="scrollToTop d-none d-md-flex d-center rounded" aria-label="scroll Bar Button">
    <i class="mat-icon fs-four nb4-color ti ti-arrow-up"></i>
  </button>
  <!-- Scroll To Top End -->

  <!-- header-section start -->

  <div class="two-column_logo d-none gap-3">
    <a href="dashboard.php">
      <img src="assets/images/text_logo.png" class="logo_light" alt="Logo " />
      <img src="assets/images/text_logo_dark.png" class="logo_dark" alt="Logo" />
    </a>
    <span class="material-symbols-outlined close_nav p-1 d-xl-none">
      close
    </span>
  </div>

  <div class="manu-wrapper">
    <!--header-section start-->
    <header class="top-menu">
      <nav
        class="top-menu__content py-5 py-xxl-8 px-3 px-lg-4 px-xxl-6 d-flex align-items-center justify-content-between gap-6">
        <div class="top-menu__left d-flex gap-3 gap-xxl-6">
          <button class="nav_tab d-center cus-rounded-2 left d-none d-md-flex">
            <span class="material-symbols-outlined fs-two n700-color">
              menu
            </span>
          </button>
          <button class="nav_tab second p1-bg d-center cus-rounded-2 left">
            <span class="navbar-toggle-btn box_15 overflow-hidden cus-border-dashed rounded-circle d-md-none">
              <span></span>
              <span></span>
              <span></span>
              <span></span>
            </span>
          </button>
          <div class="company-short-logo d-center justify-content-between gap-2 d-xl-none">
            <a href="dashboard.php" class="logo_area">
              <span class="logo-xl">
                <img src="assets/images/short_logo_light.png" class="logo" alt="Logo" />
              </span>
              <span class="logo-xl logo_dark">
                <img src="assets/images/short_logo_dark.png" class="logo" alt="Logo" />
              </span>
            </a>
          </div>
          <div class="d-flex align-items-center gap-3">
            <form method="POST" class="search__form_nav d-none d-md-flex">

            </form>
          </div>
        </div>
        <div class="top-menu__right d-flex gap-1 gap-md-3 gap-xxl-6 z-0 align-items-center">
          <div class="btn_box btn_alt box_12 cus-border nav_search_short d-md-none">
            <span class="material-symbols-outlined fs-four"> search </span>
          </div>
          <div class="toggle-switch btn_box btn_alt box_12 cus-border">
            <input type="checkbox" class="checkbox" id="checkbox" />
            <label for="checkbox" class="checkbox-label">
              <span class="material-symbols-outlined fs-four">
                dark_mode
              </span>
              <span class="material-symbols-outlined fs-four light_mode">
                light_mode
              </span>
            </label>
          </div>
          <div class="position-relative notification_area">
            <div class="notification_icon btn_box btn_alt box_12 cus-border d-center">
              <span class="material-symbols-outlined fs-four">
                notifications
              </span>
            </div>
            <ul class="notification_nav hover-scroll d-flex flex-column gap-4 n0-bg px-4 px-lg-5 py-4 cus-rounded-1">
              <li>
                <div class="d-flex align-items-center gap-3">
                  <a href="#" class="user_profile_thumb">
                    <img src="assets/images/user_profile10.png" class="rounded-circle" alt="image" />
                  </a>
                  <div class="user_profile_title flex-fill">
                    <a href="#">Theresa Webb</a>
                    <p class="mt-1 fs-eight">just ideas for next time</p>
                  </div>
                  <div class="notification just_active d-center flex-column">
                    <span class="notification__count box_6 rounded-circle d-center fs-eight">5</span>
                    <span class="notification__time fs-eight">4m</span>
                  </div>
                </div>
              </li>
              <li>
                <div class="d-flex align-items-center gap-3">
                  <a href="#" class="user_profile_thumb">
                    <img src="assets/images/user_profile9.png" class="rounded-circle" alt="image" />
                  </a>
                  <div class="user_profile_title flex-fill">
                    <a href="#">Bessie Cooper</a>
                    <p class="mt-1 fs-eight">omg, this is amazing</p>
                  </div>
                  <div class="notification just_active d-center flex-column">
                    <span class="notification__count box_6 rounded-circle d-center fs-eight">1</span>
                    <span class="notification__time fs-eight">5m</span>
                  </div>
                </div>
              </li>
            </ul>
          </div>

          <div class="lang_nav box_12 position-relative cus-border rounded-3">
            <div onclick="toggleDropNav()" class="nav_dropdown_btn btn_box btn_alt box_12 d-center bg1-opty">
              <img src="assets/images/unitedkingdom.png" alt="United Kingdom" class="flag-img rounded-circle box_6" />
              <span class="nav_lang d-none">United Kingdom</span>
            </div>
            <ul class="lang_nav_list hover-scroll position-absolute py-1 py-lg-2 n0-bg cus-rounded-1">
              <li onclick="selectOptionNav('United Kingdom', 'assets/images/united-kingdom.png')"
                class="d-flex align-items-center gap-2 px-3 px-lg-5 py-2">
                <img src="assets/images/unitedkingdom.png" alt="United Kingdom" class="flag-img rounded-circle box_5" />
                <span class="nav_lang">United Kingdom</span>
              </li>
              <li onclick="selectOptionNav('Canada', 'assets/images/canada.png')"
                class="d-flex align-items-center gap-2 px-3 px-lg-5 py-2">
                <img src="assets/images/canada.png" alt="Canada" class="flag-img rounded-circle box_5" />
                <span class="nav_lang">Canada</span>
              </li>
              <li onclick="selectOptionNav('Australia', 'assets/images/australia.png')"
                class="d-flex align-items-center gap-2 px-3 px-lg-5 py-2">
                <img src="assets/images/australia.png" alt="Australia" class="flag-img rounded-circle box_5" />
                <span class="nav_lang">Australia</span>
              </li>
              <li onclick="selectOptionNav('France', 'assets/images/france.png')"
                class="d-flex align-items-center gap-2 px-3 px-lg-5 py-2">
                <img src="assets/images/france.png" alt="France" class="flag-img rounded-circle box_5" />
                <span class="nav_lang">France</span>
              </li>
            </ul>
          </div>


          <div class="user-account box_12 position-relative">
            <div class="profile-nav">
              <img src="assets/images/user.png" class="box_12 cus-rounded-1" alt="img" />
            </div>
            <ul class="user-profile hover-scroll n0-bg d-flex flex-column gap-1 p-3 cus-rounded-1">
              <li>
                <a href="settings.php" class="d-flex align-items-center gap-2 p1-color"><span
                    class="material-symbols-outlined fs-four">
                    person </span>My Account</a>
              </li>
              <li>
                <a href="log_out.html class=" d-flex align-items-center gap-2 p1-color"><span
                    class="material-symbols-outlined fs-four">
                    logout </span>Log Out</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </header>

    <!-- aside start -->
    <div class="company-logo d-center justify-content-between gap-2">
      <a href="dashboard.php" class="logo_area">
        <span class="logo-xl">
          <img src="assets/images/logo_light.png" class="full_logo" alt="Logo" />
          <img src="assets/images/short_logo_light.png" class="short_logo" alt="Logo" />
        </span>
        <span class="logo-xl logo_dark">
          <img src="assets/images/logo_dark.png" class="full_logo" alt="Logo" />
          <img src="assets/images/short_logo_dark.png" class="short_logo" alt="Logo" />
        </span>
      </a>
      <span class="material-symbols-outlined close_nav p-1 d-xl-none">
        close
      </span>
    </div>

    <aside class="aside-wrapper">
      <div class="main-menu">
        <ul class="main-menu__part">
          <li class="main-menu__title fw-semibold">Dashboard</li>
          <li class="nav_item">
            <a href="dashboard.php" class="nav_link">
              <span class="material-symbols-outlined fs-four-up">
                house
              </span>
              <span class="nav_text">Dashboard</span>
            </a>
          </li>
          <li class="nav_item">
            <a href="wallet.php" class="nav_link">
              <span class="material-symbols-outlined fs-four-up">
                layers
              </span>
              <span class="nav_text">Wallets</span>
            </a>
          </li>
          <li class="nav_dropdown">
            <button class="dropdown_arrow">
              <span class="material-symbols-outlined fs-four-up">
                account_circle
              </span>
              <span class="nav_text">Account</span>
            </button>
            <ul class="nav_dropdown-menu">
              <li><a href="settings.php">Settings</a></li>
              <li><a href="password.php">Password</a></li>
            </ul>
          </li>
          <li class="nav_item">
            <a href="contact.html" class="nav_link">
              <span class="material-symbols-outlined fs-four-up">
                phone
              </span>
              <span class="nav_text">Contact Us</span>
            </a>
          </li>
        </ul>
        <ul class="main-menu__part">
          <li class="main-menu__title fw-semibold"></li>
          <li>
            <a href="logout.html" class="nav_link">
              <span class="material-symbols-outlined p1-color fs-four-up">
                logout
              </span>
              <span href="log_out.html" class="nav_text">Log out</span>
            </a>
          </li>
        </ul>

        <ul class="main-menu__part logout_area mt-auto d-none">
          <li>
            <a href="logout.html"><span class="material-symbols-outlined p1-color">
                logout
              </span></a>
          </li>
        </ul>

      </div>
    </aside>

    <!-- aside end -->
  </div>
  <div class="clone_area d-center"></div>
  <!-- header-section end -->

  <!-- main-body start -->
  <div class="main-content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="top-area flex-wrap d-center justify-content-between gap-8 row-gap-3">
            <h2>Settings</h2>
          </div>
        </div>
      </div>
      <div class="row gy-5">
        <div class="col-xxl-6">
          <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border h-100">
            <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
              <h4>Account Settings</h4>
            </div>
            <div class="box_part__content">
              <form
                class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6">
                <input type="hidden" name="user_id" id="user_id" value="<?php echo $user_id; ?>" />
                <div class="row gap-3 gap-sm-0">
                  <div class="col-sm-6">
                    <div class="single-input">
                      <label for="fname" class="fs-six-up fw-medium mb-2 mb-sm-4">First Name</label>
                      <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="fname"
                        value="<?php echo $first_name; ?>" readonly />
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="single-input">
                      <label for="lname" class="fs-six-up fw-medium mb-2 mb-sm-4">Last Name</label>
                      <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="lname"
                        value="<?php echo $last_name; ?>" readonly />
                    </div>
                  </div>
                </div>
                <div class="single-input">
                  <label for="email" class="fs-six-up fw-medium mb-2 mb-sm-4">Mail</label>
                  <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="email" value="<?php echo $email; ?>"
                    readonly />
                </div>
                <div class="single-input">
                  <label for="phone" class="fs-six-up fw-medium mb-2 mb-sm-4">Phone</label>
                  <input type="text" class="fs-seven py-3 py-4 px-6 px-lg-8" id="phone" value="<?php echo $phone; ?>"
                    readonly />
                </div> <br>
              </form>

              <div class="verification-section">
                <h5 class="fs-six-up fw-medium mb-4" style="font-size: 18px; font-weight: 600; color: #333;">
                  Verification Status</h5>

                  <?php 
$id_verified = ($id_verification_status == 'verified');
$bank_verified = ($bank_verification_status == 'verified');

if (!$id_verified && !$bank_verified): ?>
    <div style="color: #d32f2f; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(211, 47, 47, 0.1); border: 1px solid #d32f2f;">
        <strong>Your ID and Bank are not verified.</strong>
    </div>
<?php elseif ($id_verified && !$bank_verified): ?>
    <div style="color: #1976d2; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(25, 118, 210, 0.1); border: 1px solid #1976d2;">
        <strong>Your ID is verified, but your Bank is not verified.</strong>
    </div>
<?php elseif (!$id_verified && $bank_verified): ?>
    <div style="color: #1976d2; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(25, 118, 210, 0.1); border: 1px solid #1976d2;">
        <strong>Your Bank is verified, but your ID is not verified.</strong>
    </div>
<?php else: ?>
    <div style="color: #388e3c; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(56, 142, 60, 0.1); border: 1px solid #388e3c;">
        <strong>You are fully verified.</strong>
    </div>
<?php endif; ?>

<?php if (!$id_verified): ?>
    <div class="single-input" style="margin-bottom: 20px;">
        <label for="id-front" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">Upload Front Side of ID</label>
        <input type="file" class="fs-seven py-3 px-5" id="id-front" accept="image/*" style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
    </div>
    <div class="single-input" style="margin-bottom: 20px;">
        <label for="id-back" class="fs-six-up fw-medium mb-2 mb-sm-4" style="font-size: 14px; color: #333;">Upload Back Side of ID</label>
        <input type="file" class="fs-seven py-3 px-5" id="id-back" accept="image/*" style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
    </div>
    <!-- Upload Button -->
    <button type="button" class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color mt-3" id="btnUploadId">
        Upload ID
    </button>
<?php else: ?>
    <div style="color: #388e3c; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(56, 142, 60, 0.1); border: 1px solid #388e3c;">
        <strong>Your ID is verified.</strong>
    </div>
<?php endif; ?>


               <!-- Bank Statement Upload Section -->
<?php if (!$bank_verified): ?>
<div class="single-input" style="margin-bottom: 20px;">
  <label for="bank-statement" class="fs-six-up fw-medium mb-2 mb-sm-4"
    style="font-size: 14px; color: #333;">Upload Bank Statement</label>
  <input type="file" class="fs-seven py-3 px-5" id="bank-statement" accept=".pdf, image/*"
    style="padding: 12px; font-size: 14px; border-radius: 6px; border: 1px solid #ccc;" />
</div>
<!-- Upload Button -->
<button type="button" class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color mt-3" id="btnUploadBankStatement">
  Upload Bank Statement
</button>
<?php else: ?>
<div
  style="color: #388e3c; font-weight: 600; font-size: 16px; margin-bottom: 10px; padding: 10px; border-radius: 8px; background-color: rgba(56, 142, 60, 0.1); border: 1px solid #388e3c;">
  <strong>Your bank is verified.</strong>
</div>
<?php endif; ?>
              </div>

              </form>

            </div>
          </div>
        </div>






        <div class="col-xxl-6">
          <div class="row gy-5 gy-xxl-6">
            <div class="col-12">
              <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border">
                <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                  <h4>Address</h4>
                </div>
                <div class="box_part__content">
                  <form
                    class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6" id="addressForm"> 
                    <div class="single-input">
                      <label class="fs-six-up fw-medium mb-2 mb-sm-4">Location</label>
                      <!-- <div class="input_select d-flex align-items-center gap-2 bg1-opty cus-border cus-rounded-1 py-3 ps-3 ps-xxl-4"> -->
                      <!-- <div class=""> -->
                        <!-- Changed to a text input so the user can type freely -->
                        <input type="text" class="fs-seven py-3 px-5 px-lg-6" name="country"
                          value="<?php echo htmlspecialchars($country); ?>" required/>
                      <!-- </div> -->
                    </div>

                    <div class="row gap-3 gap-sm-0">
                      <div class="col-sm-6">
                        <div class="single-input">
                          <label for="address1" class="fs-six-up fw-medium mb-2 mb-sm-4">Address 1</label>
                          <input type="text" name="address1" class="fs-seven py-3 px-5 px-lg-6" id="address1"
                            value="<?php echo htmlspecialchars($address1); ?>" required/>
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="single-input">
                          <label for="address2" class="fs-six-up fw-medium mb-2 mb-sm-4">Address 2
                            <span class="n100-color">(Optional)</span></label>
                          <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="address2" name="address2"
                            value="<?php echo htmlspecialchars($address2); ?>" />
                        </div>
                      </div>
                    </div>

                    <div class="single-input">
                      <label for="zip" class="fs-six-up fw-medium mb-2 mb-sm-4">Zip Code</label>
                      <input type="text" class="fs-seven py-3 px-5 px-lg-6" id="zip" name="zip"
                        value="<?php echo htmlspecialchars($zip_code); ?>" required />
                    </div>

                    <div class="d-flex gap-5 gap-lg-6 pt-4">
                      <button type="submit"
                        class="btn_box py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color" id="btnSaveAddress">
                        Save Change
                      </button>
                      <button type="reset"
                        class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                        Cancel
                      </button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
            <div class="col-12">
            </div>
            <div class="col-12">
              <div class="box_part_area n0-bg cus-rounded-1 p-4 p-md-7 p-xxl-10 cus-border">
                <div class="d-flex flex-wrap justify-content-between align-items-center gap-8 row-gap-3">
                  <h4>Delete your account</h4>
                </div>
                <div class="box_part__content">
                  <form
                    class="d-flex flex-column gap-5 gap-lg-6 w-100 cus-border-dashed top border-color-30 pt-5 pt-xxl-6 mt-5 mt-xxl-6">
                    <div class="d-flex flex-column gap-4">
                      <p class="fs-seven">
                        When you delete your account, you lose access to Front
                        account services, and we permanently delete your
                        personal data. You can cancel the deletion for 14
                        days.
                      </p>
                      <div class="form-check form-check-linethrough d-flex align-items-center gap-2 gap-lg-3">
                        <input class="form-check-input flex-none box_5 rounded-circle" id="checkbox10" type="checkbox"
                          checked />
                        <label for="checkbox10">Confirm that I want to delete my account.</label>
                      </div>
                    </div>
                    <div class="d-flex gap-5 gap-lg-6 pt-4">
                      <button type="reset"
                        class="btn_box btn_alt py-2 py-lg-3 px-5 px-lg-6 cus-rounded-1 cus-border border-color">
                        Delete
                      </button>
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- main end -->

  <!-- Modal -->
  <div class="modal calendar-modal fade" id="connect" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content n0-bg p-4 p-md-6 p-xxl-8">
        <div class="modal-header header-part mb-5 mb-lg-6 pb-5 pb-lg-6">
          <h4 class="modal-title">Connect your wallet</h4>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body d-flex flex-column gap-3">
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/meta_mask.png" alt="icon" />
              <span class="fs-six-up fw-medium">MetaMask</span>
            </div>
            <span
              class="p1-bg n0-fixed lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>

          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/coinbase.png" alt="icon" />
              <span class="fs-six-up fw-medium">Coinbase Wallet</span>
            </div>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/cardano.png" alt="icon" />
              <span class="fs-six-up fw-medium">WalletConnect</span>
            </div>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/phantom.png" alt="icon" />
              <span class="fs-six-up fw-medium">Phantom</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/core.png" alt="icon" />
              <span class="fs-six-up fw-medium">Avalanche</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Avalanche</span>
          </a>
          <a href="#"
            class="d-center justify-content-between gap-4 gap-lg-6 px-5 px-lg-6 py-3 py-lg-4 cus-border cus-rounded-1">
            <div class="d-flex align-items-center gap-4">
              <img src="assets/images/glow.png" alt="icon" />
              <span class="fs-six-up fw-medium">Glow</span>
            </div>
            <span
              class="p1-color lh_130 fw-semibold cus-rounded-1 cus-border border-color py-2 py-lg-3 px-4 px-lg-5 px-xxl-6">
              Solana</span>
          </a>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal -->

  <!-- Footer Area Start -->
  <footer class="footer">
    <div class="col-12">
      <div class="footer__copyright justify-content-center justify-content-md-between row-gap-2">
        <p class="copyright text-center">
          Copyright © <span id="copyYear"></span>
          <a href="#" class="p1-color">FinVista</a>. All Rights Reserved
        </p>
        <ul class="footer__copyright-conditions">
          <li><a href="contact.html">Privacy policy</a></li>
          <li><a href="contact.html">Terms & Conditions</a></li>
        </ul>
      </div>
    </div>
  </footer>
  <!-- Footer Area End -->

  <!-- ==== js dependencies start ==== -->
  <script src="assets/js/plugins/plugins.js"></script>
  <script src="assets/js/plugins/apexcharts.min.js"></script>
  <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>
  <script src="assets/js/plugins/custom_apexcharts.js"></script>
  <script src="assets/js/plugins/plugin-custom.js"></script>
  <script src="assets/js/main.js"></script>
</body>

</html>